Subject: [alpine-aports] [PATCH] testing/nlmon: new aport

From: Sören Tempel <[email-masked]>
Date: Wed, 9 Mar 2016 13:04:38 +0100

---
 testing/nlmon/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/nlmon/APKBUILD

diff --git a/testing/nlmon/APKBUILD b/testing/nlmon/APKBUILD
new file mode 100644
index 0000000..8d426a6
--- /dev/null
+++ b/testing/nlmon/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer: Sören Tempel <[email-masked]>
+pkgname=nlmon
+pkgver=0.3_git20160208
+pkgrel=0
+verbase=0.3
+pkgdesc="A lightweight udevadm monitor replacement"
+url="http://git.r-36.net/nlmon/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="linux-headers"
+install=""
+subpackages="$pkgname-doc"
+source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz"
+
+disturl="dev.alpinelinux.org:/archive/$pkgname"
+reporev="5881cff90359800b1d01ebc0bf35f53f4a67815d"
+giturl="git://git.r-36.net/$pkgname"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	make CFLAGS="$CFLAGS \${INCS} \${CPPFLAGS}" \
+		LDFLAGS="$LDFLAGS \${LIBS}" CC="${CC:-gcc}" \
+		-C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" PREFIX=/usr \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="79cc3840879d6370aa5adccc97c7acf2  nlmon-0.3_git20160208.tar.gz"
+sha256sums="e9e113d344372c7b9d8321f6fa19a35b190e2989bbda9a005a049b499faef11a  nlmon-0.3_git20160208.tar.gz"
+sha512sums="581cb69224552fe293f3ed2da783223570e19d84cbab5c12479cf48088522b9a1d565626d1c24690cb2464858f34cfa9595830395e70f36056ab71631afad3a0  nlmon-0.3_git20160208.tar.gz"
-- 
2.7.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---